package examples.extractor;

public class RankExtractorFeature_20240530 {

    public static Double calDiv(double a, double b){
        if (a == 0 || b == 0){
            return 0D;
        }
        return a / b;
    }
    public static Double calLog(double a){
        if (a <= 0){
            return 0D;
        }
        return Math.log(a + 1.0);
    }

    public static void main(String[] args) {
        System.out.println(Math.log(10));
        System.out.println(Math.log(100));
        System.out.println(Math.log(1000));
        System.out.println(Math.log(10000));
        System.out.println(Math.log(100000));

        System.out.println(Math.log10(10));
        System.out.println(Math.log10(100));
        System.out.println(Math.log10(1000));
        System.out.println(Math.log10(10000));
        System.out.println(Math.log10(100000));
    }
}


